/*
hcloset.c Version 0.2.0  Hash remove temporary database
Copyright (C) 2003-2010  dondalah721@yahoo.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:

	Free Software Foundation, Inc.
	59 Temple Place - Suite 330
	Boston, MA  02111-1307, USA.
*/

#include <bthash.h>

void hcloset(hshhdr)
hashfmt *hshhdr;
   {
   int rslt;
   char dbname[256];
   hshhdr->reason = 0;
   strcpy(dbname,hshhdr->dbname);
   hclose(hshhdr);
   if (hshhdr->reason) return;
   rslt = remove(dbname);
   if (rslt < 0)
      {
      fprintf(stderr,"hcloset: error "
	 "removing %s\n", dbname);
      perror("Remove error");
      hshhdr->reason = SYS_ERR + errno;
      return;
      } /* remove err */
   } /* hcloset */
